<?

//
//			PHP-SA
//	This is the configuration file for the PHP interface to SpamAssaain/SQL
//

/* ----------------------------------------------------------------------------
 *
 *  Section 1 - web site configuration options
 *
 * ----------------------------------------------------------------------------
 */ 

//
// This turns on all error reporting, turns off register_globals, imports the POST variables with a prefix of post_ & GET variables with a prefix of get_
//

error_reporting( E_ALL & ~E_NOTICE);
ini_set("register_globals", 0);
import_request_variables("P", "post_");
import_request_variables("G", "get_");

//
// PROGRAM / CONFIG VERSION
//
$phpsa_version = "0.2.9";


//
// sitename - This is the FQDN of your web site, ie www.somedomain.com 
// NOTE: just using $HTTP_HOST does NOT work with newer PHP it seems
//

$sitename = "spam.peregrinehw.com";

//
// usessl -	if you have an SSL enabled server, set this option to make
//		sure that the login is secure.
//		yes = switch to SSL mode if not in SSL mode
//		no  = do not attempt to use SSL mode

$usessl = "no";

//
// phpsapath -	*Relative* path to your PHP-SA directory
//		This path is relative to your DOCUMENT_ROOT from your
//		web server's config.  If using apache, it is relative
//		to the DocumentRoot directive.

$phpsapath = "/";

// REMOVE TRAILING SLASHES, LEADING SLASHES, AND JUST A SLASH
$search = array("'/$'",
                "'^/$'",
                "'^/'");
$replace = array("",
                 "",
                 "");
$phpsapath = preg_replace ($search, $replace, $phpsapath);
#echo "DEBUG -- $phpsapath<BR>\n";


/* ----------------------------------------------------------------------------
 *
 *  Section 2 - database configuration options
 *
 * ----------------------------------------------------------------------------
 */

// 
// dbhost -	the name of the server running MySQL
//

$dbhost = "localhost";

//
// dbuser -	the MySQL username allowed access to this database
//

$dbuser = "spamassassin";

//
// dbpass -	the MySQL password for $dbuser
//

$dbpass = "<CHANGE ME>";

//
// dbname -	the database name for storing the SpamAssassin settings
//

$dbname = "spamassassin";

//
// satable -	the table name that holds the SpamAssassin settings
//

$satable = "userpref";

//
// global_username - The column entry/login to use for Spamassassin GLOBAL preferences
//

$global_username = "@GLOBAL";

//
// global_password - the password for the global user
//

$global_password = "<CHANGE ME>";

?>
